API reference
List retained webhook deliveries, newest first
Source: OpenAPI (openapi/openapi.yaml).
curl -X GET "https://api.sendtier.example/webhook-deliveries" \ -H "Authorization: Bearer st_live_REPLACE_ME"{ "data": [ { "id": "string", "webhook_id": "string", "event_id": "string", "event_type": "email.queued", "status": "pending", "attempts": 0, "next_attempt_at": "2019-08-24T14:15:22Z", "last_status": 0, "last_error": "string", "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}GET
header
AuthorizationBearer <token>API key: st_live_... or st_test_...
limit?integerRange
1 <= value <= 100Default
50after?stringCursor from next_cursor of the previous page.
webhook_id?stringstatus?stringValue in
"pending""succeeded""failed"event_type?stringValue in
"email.queued""email.sent""email.delayed""email.delivered""email.bounced""email.complained""email.opened""email.clicked""email.failed"A page ordered by created_at and id descending.
application/json- response
data*array<>next_cursor?string